Bug 208912 - devel/papi : taking maintainership
Summary: devel/papi : taking maintainership
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords: patch-ready
Depends on:
Blocks:
 
Reported: 2016-04-19 09:28 UTC by luca.pizzamiglio
Modified: 2016-04-22 05:52 UTC (History)
1 user (show)

See Also:


Attachments
The fixing patch (24.07 KB, patch)
2016-04-19 09:28 UTC, luca.pizzamiglio
no flags Details | Diff
The fixing patch - adding mpich2 build dependency (24.10 KB, patch)
2016-04-20 10:33 UTC, luca.pizzamiglio
luca.pizzamiglio: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description luca.pizzamiglio 2016-04-19 09:28:49 UTC
Created attachment 169463 [details]
The fixing patch

Taking maintainership of devel/papi.
No package will be available, because binaries are hardware dependent (CPU specific)

While I'm here:
* adding some patches to fix the AMD K8 cpu support
* adding support to the test framework
* adding fortran dependency
* fixing the pkg-plist
Comment 1 Kurt Jaeger freebsd_committer 2016-04-19 19:28:50 UTC
make check-plist says:

===> Checking for items in pkg-plist which are not in STAGEDIR
Error: Missing: %%DATADIR%%/ctests/mpifirst
===> Error: Plist issues found.

any idea ?
Comment 2 luca.pizzamiglio 2016-04-20 10:33:26 UTC
Created attachment 169489 [details]
The fixing patch - adding mpich2 build dependency

mpifirst is compiled if mpicc is found.
I added net/mpich2 as build dependency.
It should fix the issue.
Comment 3 Kurt Jaeger freebsd_committer 2016-04-20 16:53:23 UTC
thanks, testbuilds@work
Comment 4 Kurt Jaeger freebsd_committer 2016-04-22 05:51:43 UTC
Committed, thanks!
Comment 5 commit-hook freebsd_committer 2016-04-22 05:52:37 UTC
A commit references this bug:

Author: pi
Date: Fri Apr 22 05:51:37 UTC 2016
New revision: 413763
URL: https://svnweb.freebsd.org/changeset/ports/413763

Log:
  devel/papi: several fixes, submitter becomes maintainer

  - No package will be available, because binaries are hardware dependent
    (CPU specific)
  - adding some patches to fix the AMD K8 cpu support
  - adding support to the test framework
  - adding fortran dependency
  - fixing the pkg-plist

  PR:		208912
  Submitted by:	luca.pizzamiglio@gmail.com

Changes:
  head/devel/papi/Makefile
  head/devel/papi/files/patch-freebsd-map-k8.c
  head/devel/papi/files/patch-freebsd_events.csv
  head/devel/papi/pkg-plist